Skip to main content.

14.2.2. Relocation cannot be done when using -mrelocatable

Question:
I use ELDK version 3.0. When I build U-Boot I get error messages like this:
{standard input}: Assembler messages:
{standard input}:4998: Error: Relocation cannot be done when using -mrelocatable
...

Answer:
ELDK 3.0 uses GCC-3.2.2; your U-Boot sources are too old for this compiler. GCC-3.x requires a few adaptions which were added in later versions of U-Boot. Use for example the source tree (1.0.2) which is included with the ELDK, or download the latest version from CVS.
14.2.1. Can U-Boot be configured such that it can be started in RAM? 1. Abstract 14.2.3. Source object has EABI version 4, but target has EABI version 0
Prev Home Next